Bug 219992 - rpmdb failure
rpmdb failure
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-17 22:17 EST by HELIN Hugues
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 12:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description HELIN Hugues 2006-12-17 22:17:24 EST
Description of problem:
aprés avoir installé quelque programmes, rpm-src compilée et construite pour
obtenir un rpm-binaire dans le but de les installés sur mon systéme, celui-ci,
m'indique qu'il connaît un grand crash:

Component: Software Manager
Summary: TBf4e8d30c config.py:657:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 445, in ?
    main()
  File "/usr/sbin/pirut", line 438, in main
    pm = PackageManager(options.config)
  File "/usr/sbin/pirut", line 60, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 125, in
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 598, in readMainConfig
    vars['releasever'] = _getsysver(startupconf.installroot,
startupconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 657, in _getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x8ae590c>
distroverpkg: redhat-release



meme lorsque je tente un "rpm -ivh <paquet>" j'obtient :

rpmdb: PANIC: fatal region error detected; run recovery
erreur: erreur db4(-30977) de dbenv->open: DB_RUNRECOVERY: Fatal error, run
database recovery
erreur: ne peut ouvrir l'index Packages en utilisant db3 -  (-30977)
erreur: impossible d'ouvrir la base de données Package dans /var/lib/rpm


et quand j essaye de reconstruire la base de donnée je reçois le même message
d'erreur!

pourtant g verifié chaque paquet construit, ceux-ci on était créé correctement,
mais ce qui m'étonne c'est le fait que l'ensemble du repertoire /var/lib/rpm
pese 76,9Mo, g connu plus lourd,et plus de paquets installé.

et qui plus est j'ai eu un bug juste avant avec nautilus, celui-ci m'affiché un
repertoire ou j'avait justement mes paquets fraichement construit et don certain
avait été téléchargé depuis le 'repo' de fedora extra sur ftp.belnet.be, ce bug
a été dénocé avec bugzilla à l'adresse suivante:
http://bugzilla.gnome.org/show_bug.cgi?id=387006

j ai bien mon idée pour reconstruire ma DB, mais si quelqu'un a une astuce merci
de repondre. ;)

et puis, au mieux c'est, d'affiché un poste plutôt que de fermé les yeux sur ce
genre probléme, qui plus est ca prépare la nouvelle version d'une Red Hat
Entreprise Linux, et comme le petit proverbe le dit:<< on se couche comme on
fait son lit >>

How reproducible:
installer des paquets avec la commande ''rpm -ivh <paquet>''.
Comment 2 RHEL Product and Program Management 2007-05-01 11:54:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Daniel Riek 2007-05-02 10:53:21 EDT
Dear reporter,

unfortunately we can only work on bugzilla requests in English. English is our
sole official internal language. Local language support is available from our
support organization, but Bugzilla is not a support tool. So please translate
your request into english or contact yor Red Hat Support representative.

Thanks you in advance.
Comment 9 Decroux Fabien 2007-05-03 01:00:05 EDT
!!! This is a rough translation !!!

Description of problem:
I have installed some programs, rpm-src compiled and built to obtain a binary
rpm in order
to install it on my system. But my system says that there is a crash :


Component: Software Manager
Summary: TBf4e8d30c config.py:657:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 445, in ?
    main()
  File "/usr/sbin/pirut", line 438, in main
    pm = PackageManager(options.config)
  File "/usr/sbin/pirut", line 60, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 125, in
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 598, in readMainConfig
    vars['releasever'] = _getsysver(startupconf.installroot,
startupconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 657, in _getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x8ae590c>
distroverpkg: redhat-release


Even when i try "rpm -ivh <paquet>", I obtain:

rpmdb: PANIC: fatal region error detected; run recovery
erreur: erreur db4(-30977) de dbenv->open: DB_RUNRECOVERY: Fatal error, run
database recovery
erreur: can not open the index Packages by using db3 -  (-30977)
erreur: unpossible to open the database Package in /var/lib/rpm


And when I try to rebuild the database,  I receive the same error message!
However, I have checked every built packages, they were correctly built. 
It is quite strange that the /var/lib/rpm directory size is 76.9Mo, I have seen
heavier and more installed packages.

And I also have a bug just before nautilus. It displays a directory where I had
my freshly built packages and
some of them had been downloaded from the fedora extra repository on ftp.belnet.be.
This bug has been sent to bugzilla:
http://bugzilla.gnome.org/show_bug.cgi?id=387006

I have an idea on how to rebuild the database, but if you have a tip, let me
know. ;)

and the best is to report this problem rather than pretending it does not exist,
furthermore it prepares us for the new version of Red Hat Enterprise Linux. You
have to take responsibility for your actions or you reap what you saw!



How reproducible:
install packages with the command ''rpm -ivh <paquet>''.
Comment 12 Paul Nasrat 2007-05-04 04:22:50 EDT
Is this still reproducible for you on a clean install of RHEL 5 GA (we don't
support upgrading to final from betas)?

Good advice on recovery can be found:

http://people.redhat.com/berrange/notes/rpmrecovery.html

Note You need to log in before you can comment on or make changes to this bug.